Skip to main content
DELETE
/
v1
/
subscription_items
/
{id}
Delete a subscription item
curl --request DELETE \
  --url https://api.yorlet.com/v1/subscription_items/{id} \
  --header 'Authorization: <api-key>'
{
  "id": "<string>",
  "created": 123,
  "object": "subscription_item",
  "description": "<string>",
  "price": "<string>",
  "price_data": {
    "amount": 123,
    "currency": "gbp",
    "recurring": {
      "interval": "<string>",
      "interval_count": 123
    },
    "tax_percent": 123,
    "type": "recurring"
  },
  "schedule": [
    {
      "amount": 123,
      "effective_at": 123
    }
  ],
  "subscription": "<string>",
  "tax_rate": "<string>",
  "transfer_behavior": "automatic",
  "transfer_destination": "<string>",
  "type": "charge",
  "unit": "<string>",
  "account": "<string>",
  "deleted": false,
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

Delete a subscription item

id
string
required

Unique identifier for the object.

created
number
required

Time at which the object was created. Measured in seconds since the Unix epoch.

object
enum<string>
required
Available options:
subscription_item
description
string | null
required

The description of the subscription item.

price
string | null
required

The identifier of the price for the subscription item.

Pattern: ^[a-zA-Z0-9_]+$
price_data
object
required

The price data for the subscription item.

schedule
object[] | null
required

The schedule for the subscription item.

subscription
string
required

The identifier of the subscription the item belongs to.

Pattern: ^[a-zA-Z0-9_]+$
tax_rate
string | null
required

The identifier of the tax rate for the subscription item.

Pattern: ^[a-zA-Z0-9_]+$
transfer_behavior
enum<string> | null
required

The transfer behavior for the subscription item.

Available options:
automatic,
owner,
none,
null
transfer_destination
string | null
required

The identifier of the connected account to transfer funds to.

Pattern: ^[a-zA-Z0-9_]+$
type
enum<string>
required

The type of the subscription item.

Available options:
charge,
rent,
product
unit
string | null
required

The identifier of the unit associated with the subscription item.

Pattern: ^[a-zA-Z0-9_]+$
account
string

The account that the object belongs to. Only returned if the request is made with a valid Yorlet-Context header.

deleted
boolean
default:false

Only returned if the object has been deleted.

metadata
object

Set of key-value pairs attached to the subscription item.